Summary:	Picard, the Next-Generation MusicBrainz Tagger
Summary(pl.UTF-8):	Picard - znaczniki MusicBrainz nowej generacji
Name:		picard
Version:	1.3.1
Release:	1
License:	GPL v2+
Group:		Applications
Source0:	ftp://ftp.musicbrainz.org/pub/musicbrainz/picard/%{name}-%{version}.tar.gz
# Source0-md5:	2c155a0c4a5589c18bac3016365d7fbd
Patch0:		%{name}-desktop.patch
Patch1:		e53fb11e61021b5dea33165842abb93b4da28af5.patch
URL:		http://musicbrainz.org/doc/PicardTagger
BuildRequires:	gettext-tools
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	python-PyQt4
Requires:	python-musicbrainz2
Requires:	python-mutagen
Requires:	python-tunepimp
Requires:	python-wxPython
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The project code-named Picard is the next generation MusicBrainz
tagging application. This new tagging concept is Release oriented, as
opposed to track oriented like the ClassicTagger was. Picard is
written in Python, which is a cross-platform language - this allows
the same code to run both on Windows and on Linux. Before too long we
will add Mac OS X support as well.

%description -l pl.UTF-8
Projekt o nazwie Picard jest programem nowej generacji do generowania
znaczników MusicBranz. Picard jest napisany w Pythonie, który jest
językiem cross-platform - co pozwala uruchamiać ten sam kod zarówno
pod Windows jak i Linuksem. Niedługo zostanie dodana obsługa Mac OS X.

%prep
%setup -q -n %{name}-release-%{version}
%patch0 -p1
%patch1 -p1

find -type f | xargs sed -i -e 's|#!.*python.*|#!%{_bindir}/python|g'

%{__rm} po/sco.po

%build
%{__python} setup.py config
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean
%find_lang %{name}
%find_lang %{name}-countries -a %{name}.lang
%find_lang %{name}-attributes -a %{name}.lang

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS.txt NEWS.txt
%attr(755,root,root) %{_bindir}/%{name}
%{py_sitedir}/picard
%{py_sitedir}/%{name}-%{version}-py*.egg-info
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/picard.png
%changelog
* Fri Apr 10 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/picard.git;a=log;h=master

* Thu Jan 22 2015 Szymon Siwek <sls@pld-linux.org> 93dad34
- rel. 1

* Thu Jan 22 2015 Szymon Siwek <sls@pld-linux.org> 4a3edd0
- packaged countries and attributes translations

* Thu Jan 22 2015 Szymon Siwek <sls@pld-linux.org> a9990af
- rm 'sco' locale (Scottish Engish?)

* Thu Jan 22 2015 Szymon Siwek <sls@pld-linux.org> fa63611
- added patch

* Thu Jan 22 2015 Szymon Siwek <sls@pld-linux.org> cb6d3da
- rm BR: ffmpeg-devel and libofa-devel

* Thu Jan 22 2015 Szymon Siwek <sls@pld-linux.org> 27b9101
- updated build directory name

* Thu Jan 22 2015 Szymon Siwek <sls@pld-linux.org> a8afb62
- ver. 1.3.1

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> ebc5a3f
- updated gettext BR

* Wed Aug 28 2013 Jan Rękorajski <baggins@pld-linux.org> c2c743b
- unsupported locale not packaged upstream

* Wed Aug 28 2013 Jan Rękorajski <baggins@pld-linux.org> 047357a
- up to 1.2

* Tue Nov 06 2012 Jan Rękorajski <baggins@pld-linux.org> 18bdd89
- release 2 (by relup.sh)

* Fri May 25 2012 Elan Ruusamäe <glen@pld-linux.org> 49ae325
- pldize

* Sun May 13 2012 blekot <blekot@pld-linux.org> 8da50ac
- up to 0.16
- BR: pkgconfig for ./setup.py config
- BR: ffmpeg-devel, libofa-devel after checking what config was looking for
- works ;-)

* Sun May 13 2012 blekot <blekot@pld-linux.org> b2c102a
- up to 0.16

* Wed Feb 09 2011 Jan Wideł <jasw@pld-linux.org> f9d2fe2
- R: python-mutagen

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> 245ee19
- Requires(post,postun): gtk-update-icon-cache

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f123d1a
- release 2

* Thu Mar 11 2010 Artur Frysiak <artur@frysiak.net> 551e345
- 0.12.1

* Tue Feb 16 2010 sparky <sparky@pld-linux.org> 2d13c27
- BR: gettext-devel, libstdc++-devel
- fix freestylo

* Tue Feb 16 2010 ankry <ankry@pld-linux.org> 4dbd512
- drop unsupported Scots locale, rel. 2

